#!/usr/local/bin/python
'''
Created on 18 sept. 2009

@author: coissac
'''

from obitools.options import getOptionManager
from obitools.fasta import formatFasta
from obitools.format.options import addInputFormatOption,entriesIterator


if __name__ == '__main__':
    try:
        import psyco
        psyco.full()
    except ImportError:
        pass
    
    optionParser = getOptionManager([addInputFormatOption])
                                    
    
    (options, entries) = optionParser()
    
    entries = entriesIterator(options)(entries)
    
    for entry in entries:
        print formatFasta(entry)